Skip to main content
POST
/
order
/
add_tag_by_name
Order - Add Tag By Name
curl --request POST \
  --url https://api.skulabs.com/order/add_tag_by_name \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orders": [
    {
      "order_number": "<string>",
      "store_id": "507f1f77bcf86cd799439011"
    }
  ],
  "tag_name": "<string>",
  "reason": "<string>"
}
'
{
  "success": true,
  "errors": [
    {
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
orders
object[]
required

Array of order references

tag_name
string
required

Tag name to add (creates if not found)

reason
string

Reason for adding the tag

Response

Tag added to orders by name

success
boolean
required

Whether the operation succeeded

errors
object[]

Errors for individual orders that failed